Name: 		resource-agents
Version: 	3.9.5
Release: 	%mkrel 5
Summary: 	Open Cluster Framework (OCF) resource agents
Group: 		System/Kernel and hardware
URL: 		https://github.com/ClusterLabs/resource-agents
Source: 	https://fedorahosted.org/releases/r/e/resource-agents/resource-agents-%{version}.zip
Patch0: 	resource-agents-3.9.2-automake-1.13.patch
Patch1: 	resource-agents-3.9.5-squid32.patch
Patch2:		resource-agents-3.9.5-automake-1.14.patch
License: 	GPLv2
Conflicts: 	cman < 3.0.0
BuildRequires: 	nss-devel 
BuildRequires: 	docbook-style-xsl
BuildRequires: 	pkgconfig(glib-2.0)
BuildRequires: 	cluster-glue-devel
BuildRequires: 	xsltproc
Requires(post): systemd >= %{systemd_required_version}

%description
This repository contains resource agents (RAs) compliant
with the Open Cluster Framework (OCF) specification.

%package -n ldirectord
Summary: Daemon to monitor remote services and control Linux Virtual Server
Group: System/Kernel and hardware
License: GPLv2+
Requires: logrotate ipvsadm

%description -n ldirectord
ldirectord is a daemon to monitor and administer real servers in a
cluster of load balanced virtual servers.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1 -b .automake1.14

%build
autoreconf -vfi
%configure2_5x \
	--with-initdir=%{_initrddir}

%install
mkdir -p %{buildroot}%{_initrddir}
%makeinstall_std

mkdir -p %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/resource-agents 0755 root root
EOF

%post
%_tmpfilescreate %{name}

%post -n ldirectord
%_post_service ldirectord

%preun -n ldirectord
%_preun_service ldirectord

%files
%doc %{_datadir}/doc/%{name}/README.webapps
%dir %{_sysconfdir}/ha.d
%{_sysconfdir}/ha.d/shellfuncs
%dir %{_logdir}/cluster
%{_tmpfilesdir}/%{name}.conf
%{_includedir}/heartbeat
%{_mandir}/man7/ocf_heartbeat_*.7*
%{_mandir}/man8/ocf-tester.8*
%{_mandir}/man8/sfex_init.8*
%{_datadir}/cluster
%{_datadir}/resource-agents
%{_libdir}/heartbeat
%{_sbindir}/ocf-tester
%{_sbindir}/ocft
%{_sbindir}/rhev-check.sh
%{_sbindir}/sfex_init
%{_sbindir}/sfex_stat
%{_usr}/lib/ocf

%files -n ldirectord
%dir %{_sysconfdir}/ha.d/resource.d
%config(noreplace) %{_sysconfdir}/ha.d/resource.d/ldirectord
%config(noreplace) %{_sysconfdir}/logrotate.d/ldirectord
%config(noreplace) %{_initrddir}/ldirectord
%{_sbindir}/ldirectord
%{_mandir}/man8/ldirectord.8*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 3.9.5-5.mga5
+ Revision: 750518
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.5-4.mga5
+ Revision: 688662
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 wally <wally> 3.9.5-3.mga5
+ Revision: 636640
- add patch to fix build with automake 1.14

  + dmorgan <dmorgan>
    - Fix Autobuild

* Sun Mar 24 2013 colin <colin> 3.9.5-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Mar 17 2013 dlucio <dlucio> 3.9.5-1.mga3
+ Revision: 403573
- P1 to let Squid 3.2+ Monitoring run
- 3.9.5

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.9.2-3.mga3
+ Revision: 380472
- fix for automake 1.13
- add tmpfiles config for /run/resource-agents

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 3.9.2-1.mga2
+ Revision: 232148
- version 3.9.2
- add ldirectord subpackage

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99967
- imported package resource-agents


* Thu May 05 2011 Oden Eriksson <oeriksson@mandriva.com> 3.0.17-2mdv2011.0
+ Revision: 669420
- mass rebuild

* Wed Oct 13 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.17-1mdv2011.0
+ Revision: 585433
- update to new version 3.0.17

* Tue Sep 07 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.16-1mdv2011.0
+ Revision: 576590
- update to new version 3.0.16

* Tue May 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.11-1mdv2010.1
+ Revision: 542054
- update to new version 3.0.11

* Fri Jan 29 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.7-1mdv2010.1
+ Revision: 497878
- update to new version 3.0.7

* Mon Jan 04 2010 Buchan Milne <bgmilne@mandriva.org> 3.0.6-1mdv2010.1
+ Revision: 486173
- update to new version 3.0.6

* Wed Dec 02 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.5-1mdv2010.1
+ Revision: 472568
- update to new version 3.0.5

* Fri Nov 20 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.4-1mdv2010.1
+ Revision: 467614
- update to new version 3.0.4

* Wed Oct 14 2009 Buchan Milne <bgmilne@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 457381
- New version 3.0.3
- import resource-agents


